# Plotter class

class `pymeasure.display.plotter.``Plotter`(results, refresh_time=0.1)

  Bases: `pymeasure.thread.StoppableThread`

  Plotter dynamically plots data from a file through the Results object and supports error bars.

  See also

  Tutorial Using the Plotter

    A tutorial and example on using the Plotter and PlotterWindow.

  `run`()

    Method representing the thread’s activity.

    You may override this method in a subclass. The standard run() method invokes the callable object passed to the object’s constructor as the target argument, if any, with sequential and keyword arguments taken from the args and kwargs arguments, respectively.

  `setup_plot`(plot)

    This method does nothing by default, but can be overridden by the child class in order to set up custom options for the plot window, via its PlotItem.

    Parameters

      plot – This window’s PlotItem instance.